diff -pruN 1.7-2.1/debian/changelog 1.7-3/debian/changelog
--- 1.7-2.1/debian/changelog	2024-02-28 18:34:18.000000000 +0000
+++ 1.7-3/debian/changelog	2024-03-06 17:31:04.000000000 +0000
@@ -1,3 +1,10 @@
+globus-net-manager (1.7-3) unstable; urgency=medium
+
+  * Enable bind-now hardening
+  * Update lintian overrides due to renamed tag
+
+ -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 06 Mar 2024 18:31:04 +0100
+
 globus-net-manager (1.7-2.1) unstable; urgency=medium
 
   * Non-maintainer upload.
diff -pruN 1.7-2.1/debian/compat 1.7-3/debian/compat
--- 1.7-2.1/debian/compat	2020-12-12 15:25:07.000000000 +0000
+++ 1.7-3/debian/compat	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-13
diff -pruN 1.7-2.1/debian/control 1.7-3/debian/control
--- 1.7-2.1/debian/control	2024-02-28 18:34:18.000000000 +0000
+++ 1.7-3/debian/control	2024-03-06 17:31:04.000000000 +0000
@@ -1,15 +1,16 @@
 Source: globus-net-manager
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
-Build-Depends: dpkg-dev (>= 1.22.5),
- debhelper (>= 13),
- pkg-config,
+Build-Depends:
+ debhelper-compat (= 13),
+ dpkg-dev (>= 1.22.5),
+ pkgconf,
  libglobus-common-dev (>= 15.27),
  libglobus-xio-dev (>= 5),
  python3-dev
 Build-Depends-Indep:
  doxygen
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: net
 Vcs-Browser: https://salsa.debian.org/ellert/globus-net-manager
 Vcs-Git: https://salsa.debian.org/ellert/globus-net-manager.git
@@ -26,8 +27,7 @@ Pre-Depends:
  ${misc:Pre-Depends}
 Depends:
  ${shlibs:Depends},
- ${misc:Depends},
- libglobus-common0 (>= 15.27)
+ ${misc:Depends}
 Description: Grid Community Toolkit - Network Manager Library
  The Grid Community Toolkit (GCT) is an open source software toolkit used for
  building grid systems and applications. It is a fork of the Globus Toolkit
diff -pruN 1.7-2.1/debian/copyright 1.7-3/debian/copyright
--- 1.7-2.1/debian/copyright	2022-05-25 19:48:58.000000000 +0000
+++ 1.7-3/debian/copyright	2024-03-06 06:53:10.000000000 +0000
@@ -11,7 +11,7 @@ License: Apache-2.0
 
 Files: debian/*
 Copyright:
- 2008-2022 Mattias Ellert <mattias.ellert@physics.uu.se>
+ 2008-2024 Mattias Ellert <mattias.ellert@physics.uu.se>
  2010-2013 Initiative for Globus in Europe (IGE), http://www.ige-project.eu/
 License: Apache-2.0
 
diff -pruN 1.7-2.1/debian/libglobus-net-manager0t64.lintian-overrides 1.7-3/debian/libglobus-net-manager0t64.lintian-overrides
--- 1.7-2.1/debian/libglobus-net-manager0t64.lintian-overrides	2024-02-28 18:34:10.000000000 +0000
+++ 1.7-3/debian/libglobus-net-manager0t64.lintian-overrides	2024-03-06 06:46:41.000000000 +0000
@@ -1 +1 @@
-libglobus-net-manager0t64: package-name-doesnt-match-sonames libglobus-net-manager0
+package-name-doesnt-match-sonames libglobus-net-manager0
diff -pruN 1.7-2.1/debian/libglobus-xio-net-manager-driver.lintian-overrides 1.7-3/debian/libglobus-xio-net-manager-driver.lintian-overrides
--- 1.7-2.1/debian/libglobus-xio-net-manager-driver.lintian-overrides	2018-03-02 17:36:54.000000000 +0000
+++ 1.7-3/debian/libglobus-xio-net-manager-driver.lintian-overrides	2024-03-06 17:31:04.000000000 +0000
@@ -1,3 +1,3 @@
 # This is a loadable plugin - unversioned soname expected
-dev-pkg-without-shlib-symlink */libglobus_xio_net_manager_driver.so *
-shlib-without-versioned-soname */libglobus_xio_net_manager_driver.so *
+lacks-unversioned-link-to-shared-library */libglobus_xio_net_manager_driver.so *
+shared-library-lacks-version */libglobus_xio_net_manager_driver.so *
diff -pruN 1.7-2.1/debian/rules 1.7-3/debian/rules
--- 1.7-2.1/debian/rules	2022-07-05 20:30:05.000000000 +0000
+++ 1.7-3/debian/rules	2023-10-23 05:17:14.000000000 +0000
@@ -3,7 +3,8 @@
 
 name = globus-net-manager
 
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,defs
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs
 
 INSTALLDIR = debian/tmp
 
@@ -12,9 +13,6 @@ _docdir = /usr/share/doc/lib$(name)-dev
 %:
 	dh $@
 
-override_dh_autoreconf:
-	dh_autoreconf --as-needed
-
 override_dh_auto_configure:
 	PYTHON_CONFIG=/usr/bin/python3-config \
 	dh_auto_configure -- \
diff -pruN 1.7-2.1/debian/upstream/metadata 1.7-3/debian/upstream/metadata
--- 1.7-2.1/debian/upstream/metadata	1970-01-01 00:00:00.000000000 +0000
+++ 1.7-3/debian/upstream/metadata	2023-08-28 12:01:38.000000000 +0000
@@ -0,0 +1,4 @@
+Bug-Database: https://github.com/gridcf/gct/issues
+Bug-Submit: https://github.com/gridcf/gct/issues/new
+Repository: https://github.com/gridcf/gct.git
+Repository-Browse: https://github.com/gridcf/gct
